import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  appointmentId: SortOrderSchema.optional(),
  patientId: SortOrderSchema.optional(),
  npiProviderId: SortOrderSchema.optional(),
  procedureCode: SortOrderSchema.optional(),
  procedureLabel: SortOrderSchema.optional(),
  fee: SortOrderSchema.optional(),
  category: SortOrderSchema.optional(),
  toothNumber: SortOrderSchema.optional(),
  toothSurface: SortOrderSchema.optional(),
  oralCavityArea: SortOrderSchema.optional(),
  source: SortOrderSchema.optional(),
  comboKey: SortOrderSchema.optional(),
  createdAt: SortOrderSchema.optional()
}).strict();
export const AppointmentProcedureCountOrderByAggregateInputObjectSchema: z.ZodType<Prisma.AppointmentProcedureCountOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.AppointmentProcedureCountOrderByAggregateInput>;
export const AppointmentProcedureCountOrderByAggregateInputObjectZodSchema = makeSchema();
